Bug 1285154 - [abrt] gchempaint: gcpStandaloneApp::CatchSignals(): gchempaint-0.14 killed by SIGABRT
Summary: [abrt] gchempaint: gcpStandaloneApp::CatchSignals(): gchempaint-0.14 killed b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-chemistry-utils
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Julian Sikorski
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bc8e1c8b52cbf46d50b59584ac7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-25 05:01 UTC by frozen_dude
Modified: 2015-12-14 11:52 UTC (History)
2 users (show)

Fixed In Version: gnome-chemistry-utils-0.14.10-8.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-14 11:52:06 UTC


Attachments (Terms of Use)
File: backtrace (35.21 KB, text/plain)
2015-11-25 05:01 UTC, frozen_dude
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-25 05:01 UTC, frozen_dude
no flags Details
File: core_backtrace (14.95 KB, text/plain)
2015-11-25 05:01 UTC, frozen_dude
no flags Details
File: dso_list (12.30 KB, text/plain)
2015-11-25 05:01 UTC, frozen_dude
no flags Details
File: environ (1.58 KB, text/plain)
2015-11-25 05:01 UTC, frozen_dude
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-25 05:01 UTC, frozen_dude
no flags Details
File: maps (59.32 KB, text/plain)
2015-11-25 05:01 UTC, frozen_dude
no flags Details
File: mountinfo (3.31 KB, text/plain)
2015-11-25 05:01 UTC, frozen_dude
no flags Details
File: open_fds (938 bytes, text/plain)
2015-11-25 05:01 UTC, frozen_dude
no flags Details
File: proc_pid_status (1013 bytes, text/plain)
2015-11-25 05:01 UTC, frozen_dude
no flags Details
File: var_log_messages (806 bytes, text/plain)
2015-11-25 05:01 UTC, frozen_dude
no flags Details
Fixes the issue (582 bytes, patch)
2015-11-25 13:17 UTC, Jean Bréfort
no flags Details | Diff

Description frozen_dude 2015-11-25 05:01:04 UTC
Description of problem:
I tried to write a random example chemical formula into the import dialogue, which resulted in a crash.

The most relevant call seems to be to gcp::Molecule::GetMeanBondLength() inside libgcp from the gnome-chemistry-utils-libs-0.14.10-6.fc22.x86_64 package.

Steps to reproduce:
0. Go to the Tools menu, select Import molecule...
1. Enter formula CH3Cl3
2. Press Apply
3. Get coredump

Version-Release number of selected component:
gchempaint-0.14.10-6.fc22

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gchempaint-0.14
crash_function: gcpStandaloneApp::CatchSignals
executable:     /usr/bin/gchempaint-0.14
global_pid:     3214
kernel:         4.2.6-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 gcpStandaloneApp::CatchSignals at standaloneapp.cc:77
 #4 gcp::Molecule::GetMeanBondLength at molecule.cc:817
 #5 gcp::WindowPrivate::DoImportMol at window.cc:81
 #6 gcugtk::StringInputDlg::Apply at stringinputdlg.cc:50
 #7 gcugtk::on_OK at dialog.cc:49
 #12 gtk_button_do_release at gtkbutton.c:1899
 #13 gtk_real_button_released at gtkbutton.c:2017
 #18 multipress_released_cb at gtkbutton.c:613
 #19 ffi_call_unix64 at ../src/x86/unix64.S:76
 #20 ffi_call at ../src/x86/ffi64.c:525

Comment 1 frozen_dude 2015-11-25 05:01:08 UTC
Created attachment 1098521 [details]
File: backtrace

Comment 2 frozen_dude 2015-11-25 05:01:10 UTC
Created attachment 1098522 [details]
File: cgroup

Comment 3 frozen_dude 2015-11-25 05:01:11 UTC
Created attachment 1098523 [details]
File: core_backtrace

Comment 4 frozen_dude 2015-11-25 05:01:13 UTC
Created attachment 1098524 [details]
File: dso_list

Comment 5 frozen_dude 2015-11-25 05:01:15 UTC
Created attachment 1098525 [details]
File: environ

Comment 6 frozen_dude 2015-11-25 05:01:16 UTC
Created attachment 1098526 [details]
File: limits

Comment 7 frozen_dude 2015-11-25 05:01:19 UTC
Created attachment 1098527 [details]
File: maps

Comment 8 frozen_dude 2015-11-25 05:01:20 UTC
Created attachment 1098528 [details]
File: mountinfo

Comment 9 frozen_dude 2015-11-25 05:01:22 UTC
Created attachment 1098529 [details]
File: open_fds

Comment 10 frozen_dude 2015-11-25 05:01:23 UTC
Created attachment 1098530 [details]
File: proc_pid_status

Comment 11 frozen_dude 2015-11-25 05:01:25 UTC
Created attachment 1098531 [details]
File: var_log_messages

Comment 12 Julian Sikorski 2015-11-25 07:13:20 UTC
I can reproduce it on my machine

Comment 13 Jean Bréfort 2015-11-25 12:58:02 UTC
My bad, I did not check for an empty answer from OpenBabel. The input must be a valid InChI or SMILES. CCl or ClC would have worked. I'll attach a patch as soon as possible.

Comment 14 Jean Bréfort 2015-11-25 13:17:13 UTC
Created attachment 1098820 [details]
Fixes the issue

No idea when I'll make a new release (if it ever happen), so, please, patch the current one.

Comment 15 Fedora Update System 2015-11-26 20:23:10 UTC
gnome-chemistry-utils-0.14.10-11.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e629922473

Comment 16 Julian Sikorski 2015-11-26 20:24:09 UTC
I'll push f22 and f21 versions once the gnumeric and goffice updates make it to stable.

Comment 17 Fedora Update System 2015-11-28 02:20:39 UTC
gnome-chemistry-utils-0.14.10-11.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gnome-chemistry-utils'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e629922473

Comment 18 Fedora Update System 2015-12-03 07:33:02 UTC
gnome-chemistry-utils-0.14.10-8.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6e652d8009

Comment 19 Fedora Update System 2015-12-04 02:21:49 UTC
gnome-chemistry-utils-0.14.10-8.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gnome-chemistry-utils'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6e652d8009

Comment 20 Fedora Update System 2015-12-11 01:51:10 UTC
gnome-chemistry-utils-0.14.10-11.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-12-14 11:52:03 UTC
gnome-chemistry-utils-0.14.10-8.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.